package org.bdware.sc.units;

import org.bdware.sc.conn.Node;

import java.util.List;

public interface TrustfulExecutorConnection<T extends Node> {
    public void sendMessage(T node, byte[] msg);

    default public void broadcast(byte[] msg) {
        for (T t : getNodes())
            sendMessage(t, msg);
    }

    public List<T> getNodes();
}